## org.eclipse.datatools.sqltools.result.ui
Class ExternalParameterViewerProvider

    java.lang.Object
      org.eclipse.datatools.sqltools.result.ui.view.ParameterViewerProvider
          org.eclipse.datatools.sqltools.result.ui.ExternalParameterViewerProvider

    public class ExternalParameterViewerProvider

extends ParameterViewerProvider

Extends ParameterTableViewerProvider to allow extensions to inherit the default parameter viewer

Author:
  Chetan Bhatia

Constructor Summary
`ExternalParameterViewerProvider()`

Method Summary
`void` `configureViewer()` Configures the viewer.

Methods inherited from class org.eclipse.datatools.sqltools.result.ui.view.ParameterViewerProvider
`configureViewer, fillDataIntoParamsTable, getTable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalParameterViewerProvider

    public ExternalParameterViewerProvider()

Method Detail

### configureViewer

    public void configureViewer()

  Configures the viewer. The default implementation creates a ParameterTableViewer.

  Overrides:
    `configureViewer` in class `ParameterViewerProvider`